summaryrefslogtreecommitdiffstats
path: root/bin/reproducible_maintenance.sh
diff options
context:
space:
mode:
authorHolger Levsen <holger@layer-acht.org>2017-04-16 15:07:08 +0200
committerHolger Levsen <holger@layer-acht.org>2017-04-16 15:07:08 +0200
commit46125c5d21c917d4f505ab4f850266da46c7283b (patch)
tree6b408af4a687d0992b054233aaf43bc8cd47388d /bin/reproducible_maintenance.sh
parentdc52801ace7f3992b58caa3501c56c009af7dc37 (diff)
downloadjenkins.debian.net-46125c5d21c917d4f505ab4f850266da46c7283b.tar.xz
reproducible Debian: disable r_build.sh check for i386 for now
Signed-off-by: Holger Levsen <holger@layer-acht.org>
Diffstat (limited to 'bin/reproducible_maintenance.sh')
-rwxr-xr-xbin/reproducible_maintenance.sh14
1 files changed, 8 insertions, 6 deletions
diff --git a/bin/reproducible_maintenance.sh b/bin/reproducible_maintenance.sh
index a8973757..1c2076ab 100755
--- a/bin/reproducible_maintenance.sh
+++ b/bin/reproducible_maintenance.sh
@@ -423,12 +423,14 @@ if [ ! -z "$PSCALL" ] ; then
fi
# find builds which should not be there
-RESULTS=$(pgrep -f reproducible_build.sh --parent 1 || true)
-if [ ! -z "$RESULTS" ] ; then
- DIRTY=true
- echo "Warning: found reproducible_build.sh processes which have pid 1 as parent (and not sshd), thus something went wrong… please investigate."
- echo -e "$RESULTS"
-
+# (not on i386 as we start builds differently here… work in progress)
+if [ "$ARCH" != "i386" ] ; then
+ RESULTS=$(pgrep -f reproducible_build.sh --parent 1 || true)
+ if [ ! -z "$RESULTS" ] ; then
+ DIRTY=true
+ echo "Warning: found reproducible_build.sh processes which have pid 1 as parent (and not sshd), thus something went wrong… please investigate."
+ echo -e "$RESULTS"
+ fi
fi
# remove artifacts older than a day